Bug 252022 - graphics/py-mcomix: update to 1.2.1g20201223
Summary: graphics/py-mcomix: update to 1.2.1g20201223
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://github.com/multiSnow/mcomix3/...
Keywords: patch, patch-ready
Depends on:
Blocks: 256270
  Show dependency treegraph
 
Reported: 2020-12-21 17:31 UTC by Jan Beich
Modified: 2021-05-30 18:58 UTC (History)
1 user (show)

See Also:
shoesoft: maintainer-feedback+


Attachments
v1 (2.39 KB, patch)
2020-12-21 17:31 UTC, Jan Beich
no flags Details | Diff
update v2 (2.25 KB, patch)
2020-12-23 15:36 UTC, Stefan Ehmann
no flags Details | Diff
v3 (2.76 KB, patch)
2020-12-24 04:18 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-12-21 17:31:38 UTC
Created attachment 220783 [details]
v1

See URL for changelog. Runtime tested under Sway on 11.4 i386 (jail) with Python 3.7 and 13.0 amd64 (host) with Python 3.9.
Comment 1 Stefan Ehmann 2020-12-21 18:09:50 UTC
I'll try to test it soon and also improve rar support:

I've been recently asked to add a dependency to archivers/libunrar5.

RAR archives work if one of the following is available at runtime  (with decreasing priority)
* libunrar5
* unrar
* rar
* p7zip

libunrar5 is the preferred way, so I plan to add it as dependency.
Comment 2 Stefan Ehmann 2020-12-23 15:36:28 UTC
Created attachment 220848 [details]
update v2

patch by jbeich + add libunrar to RUN_DEPENDS
Comment 3 Stefan Ehmann 2020-12-23 15:39:35 UTC
Thanks, patch looks fine.

I've expanded the patch to include run-dependency on libunrar (see comment above)

I guess RUN_DEPENDS is correct here (not required at build time) instead of LIB_DEPENDS. But feel free to change that.
Comment 4 Jan Beich freebsd_committer 2020-12-24 04:18:04 UTC
Created attachment 220878 [details]
v3

Update to a newer snapshot and make libunrar5 dependency optional.

I mainly use mcomix as a gallery viewer and with comics packed into *.zip. libunrar5 and unrar don't work with my *.rar comics unlike p7zip.

$ file /tmp/foo.rar
/tmp/foo.rar: RAR archive data, v4, os: Win32

$ mcomix /tmp/foo.rar
00:00:48 [MainThread] WARNING: ! Could not read /tmp/foo.rar

$ truss mcomix /tmp/foo.rar 2>&1 | fgrep libunrar
openat(AT_FDCWD,"/usr/local/lib/libunrar.so.5",O_RDONLY|O_CLOEXEC|O_VERIFY,00) = 14 (0xe)

$ tar tf /tmp/foo.rar
Some Comic/000a.jpg
Some Comic/000b.jpg
Some Comic/000c.jpg
Some Comic/000d.jpg
[...]
Comment 5 Stefan Ehmann 2020-12-24 11:03:07 UTC
Must be some weird RAR variant that is supported by p7zip but not by libunrar.

Adding libunrar as option is probably the best we can do for now without touching the source.

New version only contains minor changes, so that's also fine with me.
Comment 6 commit-hook freebsd_committer 2020-12-25 01:01:56 UTC
A commit references this bug:

Author: jbeich
Date: Fri Dec 25 01:01:11 UTC 2020
New revision: 559206
URL: https://svnweb.freebsd.org/changeset/ports/559206

Log:
  graphics/py-mcomix: update to 1.2.1g20201223

  - Add optional dependency on libunrar

  Changes:	https://github.com/multiSnow/mcomix3/compare/cd39ae5...9ba2f5b
  PR:		252022
  Approved by:	Stefan Ehmann (maintainer)

Changes:
  head/graphics/py-mcomix/Makefile
  head/graphics/py-mcomix/distinfo
  head/graphics/py-mcomix/pkg-plist